<div class="container-fluid">
  <div class="row g-2 my-2">
    <div *ngFor="let room of list" class="card col-md-4 col-md-4">
      <img [src]="room.picture" class="card-img-top" alt="...">
      <div class="card-body">
        <h5 class="card-title">{{room.number}}</h5>
        <p class="card-text">{{room.description}}</p>
        <h3 class="card-title">{{room.price|number:'0.2'}}€</h3>
        <div >
          <button class="btn btn-primary btn-lg" (click)="add(room.id!)">Réserver</button>
          <!-- <button class="btn btn-primary btn-lg" (click)="delete(room.id!)">Supprimer</button>
          <button class="btn btn-primary btn-lg" (click)="showEditForm(room)">Modifier</button> -->
        </div>
      </div>
    </div>
  </div>
</div>
<div *ngIf="displayEditForm">
  <h4>Modification de la réservation</h4>
  <form (ngSubmit)="update(modifiedRo)">
    <label for="label">Number :</label>
    <input [(ngModel)]="modifiedRo.number" type="text" name="number" id="number">
    <label for="description">description :</label>
    <input [(ngModel)]="modifiedRo.description" type="text" ,name="description" id="description" cols="60" rows="20">
    <label for="label">Price :</label>
    <input [(ngModel)]="modifiedRo.price" type="text" name="price" id="price">
    <div>
      <input class="btn btn-primary" type="submit" value="Enregister"/>
    </div>
  </form>
</div>

